Bug 520767 - tasque freezes when changing the priority after marking a task done (local file database)
Summary: tasque freezes when changing the priority after marking a task done (local fi...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tasque
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Kaylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-02 09:55 UTC by Jiri Zapletal
Modified: 2010-06-28 14:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:26:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Novell 526002 None None None Never
GNOME Bugzilla 591090 None None None Never

Description Jiri Zapletal 2009-09-02 09:55:52 UTC
Description of problem:
Forwarding https://bugzilla.novell.com/show_bug.cgi?id=526002
Forwarding http://bugzilla.gnome.org/show_bug.cgi?id=591090

When i click in some labels and box on Task Manager, the app freeze.

Version-Release number of selected component (if applicable):
tasque-0.1.8-4.fc11

How reproducible:
Always

Steps to Reproduce:
1. Use 'Local File' database.
2. Add some task to Task Manager.
3. Check the checkbox to remove the task.
4. After check the checkbox, open the 'Priority' label.
  
Actual results:
Task Manager freeze. Not responding to any clicks. 

Expected results:
Task Manager is working ok.

Additional info:
I was able to reproduce bug on Fedora 11 x86_64.

Debug log:
[Debug]: Tasque remote control active.
[Debug]: Found Available Backend: Tasque.Backends.RtmBackend.RtmBackend
[Debug]: Found Available Backend: Tasque.Backends.Sqlite.SqliteBackend
[Debug]: Tasque.exe location:  /usr/lib64/tasque/Tasque.exe
[Info]: Searching for Backend DLLs in: /usr/lib64/tasque
[Info]: 	Reading /usr/lib64/tasque/RtmNet.dll
[Debug]: Storing 'Tasque.Backends.RtmBackend.RtmBackend' = 'Remember the Milk'
[Debug]: Storing 'Tasque.Backends.Sqlite.SqliteBackend' = 'Local File'
[Debug]: CurrentBackend specified in Preferences: Tasque.Backends.Sqlite.SqliteBackend
[Info]: Using backend: Local File (Tasque.Backends.Sqlite.SqliteBackend)
[Debug]: Backend sync finished
[Warn]: Cannot set status when taskWindow is null
[Debug]: Configuration status: True
[Debug]: Creating New Task Object : test (id=0)
[Debug]: OnTaskToggled
[Debug]: Timeout Canceled for task: test
[Debug]: Read timeout from prefs: 5

(Tasque:17310): Gtk-CRITICAL **: gtk_widget_event: assertion `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed

#Tasque keeps throwing this Gtk-CRITICAL

Comment 1 David Kaylor 2009-09-02 22:49:35 UTC
Novell maintainer opened an upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=591090

Comment 3 Bug Zapper 2010-04-28 10:08:04 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 14:26:42 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.